<?php

require_once "../app/model/db.class.php";

    $periodo=$_REQUEST['periodo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


     $num_reg="select * from cursos_temporal where activar='1'";

    $result5 = $obj->consulta($num_reg);
    $n = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($n!=0) {

         while($reg_ren = $obj->fetch_assoc($result5)){

                $alumnos=$obj->consulta("select distinct reporte_fallas.codigo, reporte_fallas.asignatura, matriculas.grado, matriculas.curso
                             from matriculas inner join reporte_fallas on matriculas.codigo = reporte_fallas.codigo
                             where reporte_fallas.periodo='".$periodo."' and matriculas.grado='".$reg_ren['grado']."' and matriculas.curso='".$reg_ren['codigo']."'");

                $numero = $obj->numero_de_filas($alumnos); // obtenemos el numero de registros

                if  ($numero!=0) {

                     while($row = $obj->fetch_assoc($alumnos)){

                           $fallas=$obj->consulta("select sum(cantidad) as total from reporte_fallas where periodo='".$periodo."' and codigo='".$row['codigo']."' and asignatura='".$row['asignatura']."' and justificacion='NO'");
                           $row1 = $obj->fetch_assoc($fallas);

                           /*----------------*/
                           $secuencial=$obj->consulta("select detalleboletin.secuencial from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                       where detalleboletin.alumno='".$row['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."'");

                           $numero1 = $obj->numero_de_filas($secuencial);

                            if  ($numero1!=0) {
                                 $row2 = $obj->fetch_assoc($secuencial);
                                 $obj->consulta("update detalleboletin set fallas ='".$row1['total']."' where secuencial='".$row2['secuencial']."'");
                            }
                     }
                }
        }
    }
    $obj->disconnect();
    echo "PROCESO FINALIZADO";

?>
